Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.wutka.dtd
Class DTDAttlist

    java.lang.Object
      |
      +--com.wutka.dtd.DTDAttlist

All Implemented Interfaces:
  DTDOutput

public class DTDAttlist
extends Object
implements DTDOutput

Represents an ATTLIST declaration in the DTD. Although attributes are associated with elements, the ATTLIST is here to allow the DTD object to write out the DTD in roughly the original form. Because the ATTLIST may appear somewhere other than immediately after the ELEMENT, this object is used to keep track of where it is.

Version:
  $Revision: 1.12 $ $Date: 2000/09/01 13:21:05 $ by $Author: wutka $
Author:
  Mark Wutka

Field Summary
`Vector` | `attributes` The attlist's attributes
`String` | `name` The name of the element

Constructor Summary
`DTDAttlist()`
`DTDAttlist(String aName)`

Method Summary
`boolean` | `equals(Object ob)`
`DTDAttribute[]` | `getAttribute()` Returns the attributes in this list
`DTDAttribute` | `getAttribute(int i)` Returns a specific attribute from the list
`String` | `getName()` Returns the entity name of this attlist
`void` | `setAttribute(DTDAttribute[] attrs)` Sets the list of attributes
`void` | `setAttribute(DTDAttribute attr, int i)` Sets a specific attribute in the list
`void` | `setName(String aName)` Sets the entity name of this attlist
`void` | `write(PrintWriter out)` Writes out an ATTLIST declaration

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    public String name

  The name of the element

### attributes

    public Vector attributes

  The attlist's attributes

Constructor Detail

### DTDAttlist

    public DTDAttlist()

### DTDAttlist

    public DTDAttlist(String aName)

Method Detail

### write

    public void write(PrintWriter out)
               throws IOException

  Writes out an ATTLIST declaration
  Specified by:
    `write` in interface `DTDOutput`

### equals

    public boolean equals(Object ob)

  Overrides:
    `equals` in class `Object`

### getName

    public String getName()

  Returns the entity name of this attlist

### setName

    public void setName(String aName)

  Sets the entity name of this attlist

### getAttribute

    public DTDAttribute[] getAttribute()

  Returns the attributes in this list

### setAttribute

    public void setAttribute(DTDAttribute[] attrs)

  Sets the list of attributes

### getAttribute

    public DTDAttribute getAttribute(int i)

  Returns a specific attribute from the list

### setAttribute

    public void setAttribute(DTDAttribute attr,
                             int i)

  Sets a specific attribute in the list

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD